include:
  - project: 'Orange-OpenSource/tbc/tools/gitlab-ci'
    ref: 'master'
    file: '/templates/validation.yml'
  - project: 'Orange-OpenSource/tbc/kicker'
    ref: 'master'
    file: '/templates/validation.yml'
  - project: 'Orange-OpenSource/tbc/bash'
    ref: '1.0.0'
    file: 'templates/gitlab-ci-bash.yml'

stages:
  - build
  - publish

variables:
  GITLAB_CI_FILES: "templates/gitlab-ci-maven.yml"
  BASH_SHELLCHECK_FILES: "*.sh"

extract-script:
  stage: .pre
  script:
    - echo "#!/bin/bash" > script.sh
    - sed -n '/BEGSCRIPT/,/ENDSCRIPT/p' "$GITLAB_CI_FILES" | sed 's/^  //' >> script.sh
    - export LC_ALL=C.UTF-8
  artifacts:
    when: always
    name: extracted template script
    expire_in: 1h
    paths:
      - script.sh

release:
  image: node:12
  stage: publish
  before_script:
    - npm install -g semantic-release @semantic-release/gitlab @semantic-release/exec @semantic-release/git
  script:
    - semantic-release
  only:
    refs:
      - master
    variables:
      - $TMPL_RELEASE_ENABLED
